/*****************************************************************************
 *****************************************************************************
 Copyright (c) 2000-2001, AEP Ltd. 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
 this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation 
 and/or other materials provided with the distribution.

 3. Neither the name of AEP Ltd. nor the names of its contributors 
 may be used to endorse or promote products derived from this software 
 without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

 *****************************************************************************
****************************************************************************/

/**********************************************************************
*                                                                     *
* AEP Ltd.                                                            *
*                                                                     *
* This software is supplied under the terms of the license included   *
* above.  All use of this software must be in accordance with the     *
* terms of that license.                                              *
*                                                                     *
**********************************************************************/
/****************************************************************/
/*																*/
/* Filename:	aep_i_api.h										*/
/* Description:	AEP API internals Include file, fxn prototypes  */
/*				for the AEP API.								*/
/* Copyright:	Accelerated Encryption Processing Ltd., 2000	*/
/* Author:		Diarmuid O'Neill								*/
/* Product:		AEP1000											*/
/* Date:		12/9/99											*/
/*																*/
/****************************************************************/


#ifndef aep_i_api_H 
#define aep_i_api_H 1


/*Header file that contains AEP type definitions*/
#include "aep_types.h"


AEP_RV AEP_I_Submit(
        AEP_CONNECTION_HNDL hConnHndl,
		AEP_BYTEBLOCK* pCommandBuf
	);

AEP_RV AEP_I_Transact(
        AEP_CONNECTION_HNDL hConnection,
		AEP_BYTEBLOCK* pCommandBuf,
		AEP_BYTEBLOCK* pReplyBuf
	);

AEP_RV AEP_I_Query(
        AEP_CONNECTION_HNDL hConnection,
		AEP_BYTEBLOCK* pCommandBuf,
		AEP_BYTEBLOCK* pReplyBuf
	);

AEP_RV AEP_I_Wait(
        AEP_CONNECTION_HNDL hConnection,
		AEP_BYTEBLOCK* pCommandBuf,
		AEP_BYTEBLOCK* pReplyBuf
	);

AEP_SLIB_CALLING_CONVENTION AEP_RV AEP_I_GetConnectionData(
		AEP_CONNECTION_HNDL hConnection,
		AEP_I_CONNECTION_DATA_PTR * ppStoredConnection
	);

#endif
