/*****************************************************************************
 *****************************************************************************
 Copyright (c) 2000-2001, AEP Ltd. 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
 this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation 
 and/or other materials provided with the distribution.

 3. Neither the name of AEP Ltd. nor the names of its contributors 
 may be used to endorse or promote products derived from this software 
 without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

 *****************************************************************************
****************************************************************************/

/**********************************************************************
*                                                                     *
* AEP Ltd.                                                            *
*                                                                     *
* This software is supplied under the terms of the license included   *
* above.  All use of this software must be in accordance with the     *
* terms of that license.                                              *
*                                                                     *
**********************************************************************/

/****************************************************************/
/*																*/
/* Filename:	aep_lib.h										*/
/* Description:	Contains OS specific details					*/
/* Copyright:	Accelerated Encryption Processing Ltd., 2000	*/
/* Author:		Diarmuid O'Neill								*/
/* Product:		AEP1000											*/
/* Date:		12/6/00											*/
/*																*/
/****************************************************************/


#ifndef AEPlib_H 
#define AEPlib_H 1

/* AEP_Win32   for WindowsNT or Windows95
 * AEP_Win16   for Windows 3.x
 * AEP_GENERIC for any Unix. Special compiler directives for certain Unix 
 *            variants may be used and are defined by the specific OS and 
 *            C compiler
 */

#if defined(AEP_Win32) 

#if defined(AEP_I_library_build)
#define AEP_SLIB_CALLING_CONVENTION __declspec(dllexport)

#else /* ! AEP_I_library_build */

#define AEP_SLIB_CALLING_CONVENTION __declspec(dllimport)

#endif /* ! AEP_I_library_build */

#elif defined(AEP_GENERIC)

/*#defined to nothing.*/
#define AEP_SLIB_CALLING_CONVENTION

#else
#error no OS type define (needs to be one of AEP_Win32, AEP_Win16, AEP_GENERIC)
#endif /* OS Type */
     
#endif 

