/*****************************************************************************
 *****************************************************************************
 Copyright (c) 2000-2001, AEP Ltd. 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
 this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation 
 and/or other materials provided with the distribution.

 3. Neither the name of AEP Ltd. nor the names of its contributors 
 may be used to endorse or promote products derived from this software 
 without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

 *****************************************************************************
****************************************************************************/

/**********************************************************************
*                                                                     *
* AEP Ltd.                                                            *
*                                                                     *
* This software is supplied under the terms of the license included   *
* above.  All use of this software must be in accordance with the     *
* terms of that license.                                              *
*                                                                     *
**********************************************************************/

#ifndef aep_pci_map_H 
#define aep_pci_map_H 1

#include "aep_i_defs.h"
#include "aep_i_types.h"
#include "aep_mem.h"

typedef struct AEP_PCIMEM_MAP {
	volatile AEP_U32			num_asic_msg_blocks;	
	volatile AEP_MSG_BLOCK		*asic_msg_block_array;
	volatile AEP_U32			*asic_used_msg_blocks;

	volatile AEP_U32			num_des_msg_blocks;	
	volatile AEP_MSG_BLOCK		*des_msg_block_array;
	volatile AEP_U32			*des_used_msg_blocks;

	volatile AEP_U32			num_sa_msg_blocks;	
	volatile AEP_MSG_BLOCK		*sa_msg_block_array;
	volatile AEP_U32			*sa_used_msg_blocks;

	AEP_MSG_STRUCT**	done_msg_array;
	volatile AEP_U32			done_msg_array_num_elements;
	volatile AEP_U32			*done_msg_array_head;
	volatile AEP_U32			*done_msg_array_tail;
	
} AEP_PCIMEM_MAP;

#endif
