/*****************************************************************************
 *****************************************************************************
 Copyright (c) 2000-2001, AEP Ltd. 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
 this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation 
 and/or other materials provided with the distribution.

 3. Neither the name of AEP Ltd. nor the names of its contributors 
 may be used to endorse or promote products derived from this software 
 without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

 *****************************************************************************
****************************************************************************/

/**********************************************************************
*                                                                     *
* AEP Ltd.                                                            *
*                                                                     *
* This software is supplied under the terms of the license included   *
* above.  All use of this software must be in accordance with the     *
* terms of that license.                                              *
*                                                                     *
**********************************************************************/
 

#ifndef AEP_VERSION_H
#define AEP_VERSION_H 1


/* This section defines the structs that will be used to describe version information for the
 * products*/

typedef struct AEP_DAEMON_VERSION {
	AEP_CHAR versionString[100];
} AEP_DAEMON_VERSION;

typedef struct AEP_API_VERSION {
	AEP_CHAR versionString[100];
} AEP_API_VERSION;

typedef struct AEP_TARGET_VERSION {
	AEP_CHAR target_version[0x20];
	AEP_CHAR target_build_date[0x20];
	AEP_CHAR compiler_version[0x10];
	AEP_CHAR micro_engine_build_date[0x20];
	AEP_CHAR cpld_version[0x10];
	AEP_CHAR board_serial_no_and_type[0x60];
	AEP_CHAR ixp1200_type[0x60];
	AEP_CHAR thermal_rng_version[0x10];
	AEP_CHAR thermal_rng_build_date[0x10];
	AEP_CHAR thermal_rng_build_time[0x10];

} AEP_TARGET_VERSION;


typedef struct AEP_VERSION {
  
	AEP_API_VERSION api_version;
	AEP_DAEMON_VERSION daemon_version;
	AEP_TARGET_VERSION target_version;
	
} AEP_VERSION;
	
	
					
#endif
